Skip to main content
GET
/
api
/
conversations
Search Conversations
curl --request GET \
  --url https://app.all-hands.dev/api/conversations \
  --header 'X-Session-API-Key: <api-key>'
import requests

url = "https://app.all-hands.dev/api/conversations"

headers = {"X-Session-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Session-API-Key': '<api-key>'}};

fetch('https://app.all-hands.dev/api/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "conversation_id": "<string>",
      "title": "<string>",
      "last_updated_at": "2023-11-07T05:31:56Z",
      "status": "STOPPED",
      "selected_repository": "<string>",
      "selected_branch": "<string>",
      "num_connections": 0,
      "url": "<string>",
      "session_api_key": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "pr_number": [
        123
      ]
    }
  ],
  "next_page_id": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

X-Session-API-Key
string
header
required

Query Parameters

page_id
string | null
limit
integer
default:20
selected_repository
string | null
conversation_trigger
enum<string> | null
Available options:
resolver,
gui,
suggested_task,
openhands_api,
slack,
microagent_management,
jira,
jira_dc,
linear

Response

Successful Response

results
ConversationInfo · object[]
next_page_id
string | null